Skip to main content
GET
/
billing
/
pods
Pod billing history
curl --request GET \
  --url https://rest.runpod.io/v1/billing/pods \
  --header 'Authorization: Bearer <token>'
[
  {
    "amount": 100.5,
    "diskSpaceBilledGb": 50,
    "endpointId": "<string>",
    "gpuTypeId": "<string>",
    "podId": "<string>",
    "time": "2023-01-01T00:00:00Z",
    "timeBilledMs": 3600000
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

bucketSize
enum<string>
default:day

The length of each billing time bucket. The billing time bucket is the time range over which each billing record is aggregated.

Available options:
hour,
day,
week,
month,
year
endTime
string<date-time>

The end date of the billing period to retrieve.

Example:

"2023-01-31T23:59:59Z"

gpuTypeId
enum<string>

Filter to Pods with the provided GPU type attached.

Available options:
NVIDIA GeForce RTX 4090,
NVIDIA A40,
NVIDIA RTX A5000,
NVIDIA GeForce RTX 5090,
NVIDIA H100 80GB HBM3,
NVIDIA GeForce RTX 3090,
NVIDIA RTX A4500,
NVIDIA L40S,
NVIDIA H200,
NVIDIA L4,
NVIDIA RTX 6000 Ada Generation,
NVIDIA A100-SXM4-80GB,
NVIDIA RTX 4000 Ada Generation,
NVIDIA RTX A6000,
NVIDIA A100 80GB PCIe,
NVIDIA RTX 2000 Ada Generation,
NVIDIA RTX A4000,
NVIDIA RTX PRO 6000 Blackwell Server Edition,
NVIDIA H100 PCIe,
NVIDIA H100 NVL,
NVIDIA L40,
NVIDIA B200,
NVIDIA GeForce RTX 3080 Ti,
NVIDIA RTX PRO 6000 Blackwell Workstation Edition,
NVIDIA GeForce RTX 3080,
NVIDIA GeForce RTX 3070,
AMD Instinct MI300X OAM,
NVIDIA GeForce RTX 4080 SUPER,
Tesla V100-PCIE-16GB,
Tesla V100-SXM2-32GB,
NVIDIA RTX 5000 Ada Generation,
NVIDIA GeForce RTX 4070 Ti,
NVIDIA RTX 4000 SFF Ada Generation,
NVIDIA GeForce RTX 3090 Ti,
NVIDIA RTX A2000,
NVIDIA GeForce RTX 4080,
NVIDIA A30,
NVIDIA GeForce RTX 5080,
Tesla V100-FHHL-16GB,
NVIDIA H200 NVL,
Tesla V100-SXM2-16GB,
NVIDIA RTX PRO 6000 Blackwell Max-Q Workstation Edition,
NVIDIA A5000 Ada,
Tesla V100-PCIE-32GB,
NVIDIA RTX A4500,
NVIDIA A30,
NVIDIA GeForce RTX 3080TI,
Tesla T4,
NVIDIA RTX A30
Example:

"NVIDIA GeForce RTX 4090"

grouping
enum<string>
default:gpuTypeId

Group the billing records by the provided field.

Available options:
podId,
gpuTypeId
podId
string

Filter to a specific Pod.

Example:

"xedezhzb9la3ye"

startTime
string<date-time>

The start date of the billing period to retrieve.

Example:

"2023-01-01T00:00:00Z"

Response

200 - application/json

Successful operation.

amount
number

The amount charged for the group for the billing period, in USD.

Example:

100.5

diskSpaceBilledGb
integer

The amount of disk space billed for the billing period, in gigabytes (GB). Does not apply to all resource types.

Example:

50

endpointId
string

If grouping by endpoint ID, the endpoint ID of the group.

gpuTypeId
string

If grouping by GPU type ID, the GPU type ID of the group.

podId
string

If grouping by Pod ID, the Pod ID of the group.

time
string<date-time>

The start of the period for which the billing record applies.

Example:

"2023-01-01T00:00:00Z"

timeBilledMs
integer

The total time billed for the billing period, in milliseconds. Does not apply to all resource types.

Example:

3600000